## org.firebirdsql.pool
Class PooledObjectEvent

    java.lang.Object
      java.util.EventObject
          org.firebirdsql.pool.PooledObjectEvent

All Implemented Interfaces:
  Serializable

    public class PooledObjectEvent

extends EventObject

Event object for object pool events.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PooledObjectEvent(Object eventSource)` Create instance of this object for the specified event source.
`PooledObjectEvent(Object eventSource, boolean connectionDeallocated)` Create instance of this object for the specified event source and information if the physical connection is deallocated.

Method Summary
`boolean` `isDeallocated()` Check if the physical connection that generated this event is deallocated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PooledObjectEvent

    public PooledObjectEvent(Object eventSource)

  Create instance of this object for the specified event source. This is a shortcut call for `PooledObjectEvent(Object, false)`.

  Parameters:
    `eventSource` - event source.

### PooledObjectEvent

    public PooledObjectEvent(Object eventSource,
                             boolean connectionDeallocated)

  Create instance of this object for the specified event source and information if the physical connection is deallocated.

  Parameters:
    `eventSource` - event source.
    `connectionDeallocated` - `true` if physical connection is closed.

Method Detail

### isDeallocated

    public boolean isDeallocated()

  Check if the physical connection that generated this event is deallocated.

  Returns:
    `true` if connection was deallocated.

Copyright © 2001-2010. All Rights Reserved.